<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns="http://www.w3.org/1999/xhtml"    
    xmlns:doc="http://www.kit.edu/FeatureCatalogue/1.0"
    version="1.0" exclude-result-prefixes="doc">
    
 <xsl:output method="html" version="4.01"/>
    
 <xsl:template match="doc:FeatureCatalogue" >          
    <html>  
        <head>
            <title>Applikationsschema</title>    
           
            <style type="text/css">
                        
                        <xsl:text disable-output-escaping="yes">
                        

tr {
     vertical-align: middle;
     margin-bottom: 0px;
}

table {
     width: 18cm;
}

td {

    vertical-align: middle;
    margin-bottom: 0px;
    margin-top: 0px;
 }
  h1 {
        font-family: Arial, Helvetica, sans-serif;
        font-size: 24px;
 }
h2 {
        font-family: Arial, Helvetica, sans-serif;
        font-size: 20px;
        margin-bottom: 0px;
     
        
 }
 
 h3 {
        font-family: Arial, Helvetica, sans-serif;
        font-size: 18px;
        margin-bottom: 0px;
      
 }
 
 h4 {
        font-family: Arial, Helvetica, sans-serif;
        font-size: 16px;
        margin-bottom: 0px;
      
 }


 p {
     font-family: Arial, Helvetica, sans-serif;
     font-size: 12px;
      margin-bottom: 0px;
     margin-top: 0px;
  }

.grau { background-color:#CCCCCC; }
.einzug10 {  margin-left: 10px;
}
      
      
    </xsl:text>
   </style>          
        </head>   
        
 <body>
  
  <xsl:apply-templates></xsl:apply-templates>
  
 </body>  
    </html>    
</xsl:template>   
    
 
 <xsl:template match="doc:PackageDocumentation">
  
  
  <xsl:if test="doc:level='1'" >
  <h1>Package <xsl:value-of select="doc:name"/></h1>
  </xsl:if>
  
  <xsl:if test="doc:level='2'" >
   <h1>Package <xsl:value-of select="doc:name"/></h1>
  </xsl:if>
  
  <xsl:if test="doc:level='3'" >
   <h2>Package <xsl:value-of select="doc:name"/></h2>
  </xsl:if>
  
  <p><xsl:value-of disable-output-escaping="yes" select="doc:description"/></p>   
  
  <xsl:for-each select="doc:TypeDocumentation">
   
  <xsl:if test="../doc:level='2'" >
   <h2>
    <a>
     <xsl:attribute name="name">
      <xsl:value-of select="doc:id"/>   
     </xsl:attribute>   
    </a>
    
    <xsl:if test="doc:classification='featureType'">
     Feature Type
    </xsl:if>
    
    <xsl:if test="doc:classification='objectType'">
     Object Type
    </xsl:if>
    
    <xsl:if test="doc:classification='dataType'">
     Data Type
    </xsl:if>
    
    <xsl:if test="doc:classification='union'">
     Union
    </xsl:if>
    
    <xsl:if test="doc:classification='ADEElement'">
     ADEElement
    </xsl:if>
    
    <xsl:text> </xsl:text>
    <xsl:value-of select="doc:name"/>
   </h2>
  </xsl:if>
  
  <xsl:if test="../doc:level='3'" >
   <h3>
    <a>
     <xsl:attribute name="name">
      <xsl:value-of select="doc:id"/>   
     </xsl:attribute>   
    </a>
    <xsl:if test="doc:classification='featureType'">
     Feature Type
    </xsl:if>
    
    <xsl:if test="doc:classification='objectType'">
     Object Type
    </xsl:if>
    
    <xsl:if test="doc:classification='dataType'">
     Data Type
    </xsl:if>
    
    <xsl:if test="doc:classification='union'">
     Union
    </xsl:if>
    
    <xsl:if test="doc:classification='ADEElement'">
     ADEElement
    </xsl:if>
    
    <xsl:text> </xsl:text>  
    
    <xsl:value-of select="doc:name"/>
   </h3>
  </xsl:if>
  
  
  <p><xsl:value-of disable-output-escaping="yes" select="doc:description"/></p>
   
   <xsl:if test="doc:supertype/doc:supertypeName!=''">
  
    <p><strong>Abgeleitet von
    <xsl:for-each select="doc:supertype">        
      <a>
       <xsl:if test="doc:supertypeFile!=''"> 
        <xsl:attribute name="href">#<xsl:value-of select="doc:supertypeFile"/></xsl:attribute>    
       </xsl:if>                    
       <xsl:value-of select="doc:supertypeName"/>
      </a>         
    </xsl:for-each>          
    </strong> </p>  
   </xsl:if>
   
  <br/>
  <xsl:if test="../doc:level='2'" >
   <p><strong>Properties and relations</strong></p>
  </xsl:if>
  
  <xsl:if test="../doc:level='3'" >
   <p><strong>Properties and relations</strong></p>
  </xsl:if> 
  
  <table border="0" cellspacing="3">
   <tr>
    <td height="20"  bgcolor="#9DE5F7">
     <p><strong><em>Name</em></strong></p>
    </td>
    
    <td bgcolor="#9DE5F7">
     <p><strong><em>Type</em></strong></p>
    </td>

    <td bgcolor="#9DE5F7">
     <p><strong><em>Definition</em></strong></p>
    </td>
    
    
   </tr>
   
   <xsl:for-each select="doc:property">   
       
     <xsl:if test="doc:inheritedProperty='false'">
      
      <tr>       
       <td height="20"  bgcolor="#CCCCCC">
        <p>                 
          <xsl:value-of select="doc:name"/>    
        </p>                 
       </td>
       
       <td height="20"  bgcolor="#CCCCCC">
        
        <xsl:if test="doc:propertyType/doc:propertyTypeFile!=''">
         <a>
          <xsl:attribute name="href">#<xsl:value-of select="doc:propertyType/doc:propertyTypeFile"/></xsl:attribute>
        <p>
         <xsl:value-of select="doc:propertyType/doc:propertyTypeName"/> 
        </p>  
         </a>
        </xsl:if>
        
        <xsl:if test="not(doc:propertyType/doc:propertyTypeFile!='')">        
          <p>
           <xsl:value-of select="doc:propertyType/doc:propertyTypeName"/> 
          </p>  
        </xsl:if>        
       </td>
       
       <td  bgcolor="#CCCCCC"><p>        
        <xsl:value-of  disable-output-escaping="yes"  select="doc:description"/>
       </p> </td>
       
      </tr>
      
      <xsl:if test="doc:stereotype='Enumeration'">
       <xsl:for-each select="doc:enumeration/doc:enumerationItem">
        
        <tr>
         
         <td height="20" bgcolor="#FFFBDA">
          <p/>
         </td>
         
         <td height="20"  bgcolor="#FFFBDA">
          <p>
           <xsl:value-of select="doc:id"/> (<xsl:value-of select="doc:name"/>)
          </p>          
         </td>
         
         <td height="20"  bgcolor="#FFFBDA">
          <p>
           <xsl:value-of  disable-output-escaping="yes"  select="doc:description"/>
          </p>
         </td>                  
        </tr>        
        
       </xsl:for-each>      
      </xsl:if>
      
     </xsl:if>
     
   </xsl:for-each>    
  </table>  
   
  </xsl:for-each>
  <xsl:apply-templates select="doc:PackageDocumentation"/>
 </xsl:template>
    
</xsl:stylesheet>
