<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns="http://www.kit.edu/FeatureCatalogue/1.0"
    xmlns:doc="http://www.kit.edu/FeatureCatalogue/1.0"
    version="1.0">
    
<xsl:output method="html" version="4.01" encoding="UTF-8"/>
    
    <xsl:template match="doc:PackageDocumentation">          
    <html>  
        <head>
            <title>Applikationsschema</title>    
           
            <style type="text/css">
                        
                        <xsl:text disable-output-escaping="yes">
                        

tr {
     vertical-align: middle;
     margin-bottom: 0px;
}

table {

}
td {

    vertical-align: middle;
    margin-bottom: 0px;
    margin-top: 0px;
 }
  h1 {
        font-family: Arial, Helvetica, sans-serif;
        font-size: 24px;
 }
h2 {
        font-family: Arial, Helvetica, sans-serif;
        font-size: 20px;
        margin-bottom: 0px;
 }


 p {
     font-family: Arial, Helvetica, sans-serif;
     font-size: 15px;
      margin-bottom: 0px;
     margin-top: 0px;
  }

.grau { background-color:#CCCCCC; }
.einzug10 {  margin-left: 10px;
}
      
      
    </xsl:text>
   </style>          
        </head>   
        
 <body>
    <a>
        <xsl:attribute name="doc:name">
            <xsl:value-of select="doc:id"/>   
        </xsl:attribute>   
    </a>
                
     <h1><xsl:value-of select="doc:name"/></h1>

    <h2>Definition</h2>
     <p class="einzug10"><xsl:value-of disable-output-escaping="yes" select="doc:description"/></p>  

     <xsl:if test="doc:targetNamespace!=''"> 
        <h2>Namespace</h2>
        <p class="einzug10"><xsl:value-of select="doc:targetNamespace"/></p>
    </xsl:if>    

     <xsl:if test="doc:kuerzel!=''"> 
        <h2>Namespace-Kürzel</h2>
         <p class="einzug10"><xsl:value-of select="doc:kuerzel"/></p>
    </xsl:if>    
     
     <xsl:if test="doc:version!=''"> 
        <h2>Version</h2>
         <p class="einzug10"><xsl:value-of select="doc:version"/></p>
    </xsl:if>    
 
     <xsl:if test="doc:xsdDocument!=''"> 
         <h2>Name der XML-Schema Datei</h2>
         <p class="einzug10"><xsl:value-of select="doc:xsdDocument"/></p>
     </xsl:if> 

    <xsl:if test="doc:superPackage/doc:packageName!=''">
        <h2>Gehört zu Modellbereich</h2>
        <p class="einzug10">
            <a>
                <xsl:if test="doc:superPackage/doc:packageFile!=''"> 
                   <xsl:attribute name="href">
                       <xsl:value-of select="doc:superPackage/doc:packageFile"/>
                   </xsl:attribute>                         
                   <xsl:value-of select="doc:superPackage/doc:packageName"/>
                 </xsl:if>
            </a> 
        </p>
    </xsl:if>
                               
     <xsl:if test="doc:package/doc:packageName!=''"> 
            <h2>Beinhaltet Modellbereiche</h2> 
         <xsl:for-each select="doc:package">             
             <p class="einzug10">
                 <a>
                     <xsl:attribute name="href">
                         <xsl:value-of select="doc:packageFile"/>
                     </xsl:attribute>                         
                     <xsl:value-of select="doc:packageName"/>
                 </a> 
             </p>
         </xsl:for-each>              
     </xsl:if>  
     
     <xsl:if test="doc:valueType/doc:valueTypeName!=''"> 
         <h2>Objektarten</h2> 
         <xsl:for-each select="doc:valueType">   
             <p class="einzug10">
                 <a>
                     <xsl:attribute name="href">
                         <xsl:value-of select="doc:valueTypeFile"/>
                     </xsl:attribute>                         
                     <xsl:value-of select="doc:valueTypeName"/>
                 </a> 
             </p>
         </xsl:for-each>                 
     </xsl:if>  
     
     <xsl:if test="doc:diagram/doc:diagramName!=''"> 
         <h2>UML-Diagramme</h2>        
         <table width="100%" border="0" cellspacing="0" >
             
             <xsl:for-each select="doc:diagram">                
                 <tr>
                  <td height="20">
                     <img width="100%">
                         <xsl:attribute name="src">../png/<xsl:value-of select="doc:diagramFile"/></xsl:attribute>                      
                     </img>
                     </td>
                 </tr>
             </xsl:for-each>                     
         
         </table>                                
     </xsl:if>     
     
    </body>  
    </html>    
</xsl:template>   
    
    <xsl:template match="*"></xsl:template>
    
</xsl:stylesheet>
